Main Page

Functions

# adc.c File Reference

Module to simulate the AVR's ADC module. More...

Go to the source code of this file.

## Functions
VDevice * | adc_int_create (int addr, char *name, int rel_addr, void *data)
ADCIntr_T * | adc_intr_new (int addr, char *name, int rel_addr)
void | adc_intr_construct (ADCIntr_T *adc, int addr, char *name, int rel_addr)
void | adc_intr_destroy (void *adc)
VDevice * | adc_create (int addr, char *name, int rel_addr, void *data)
ADC_T * | adc_new (int addr, char *name, uint8_t uier, int rel_addr)
void | adc_construct (ADC_T *adc, int addr, char *name, uint8_t uier, int rel_addr)
void | adc_destroy (void *adc)
uint16_t | adc_port_rd (uint8_t mux)
void | adc_port_wr (uint8_t val)

## Detailed Description

Module to simulate the AVR's ADC module.

Definition in file adc.c.

## Function Documentation

VDevice* adc_int_create | ( | int | addr,
|  | char * | name,
|  | int | rel_addr,
|  | void * | data
| ) |  |

Allocate a new ADC interrupt.

Definition at line 79 of file adc.c.

void adc_intr_construct | ( | ADCIntr_T * | adc,
|  | int | addr,
|  | char * | name,
|  | int | rel_addr
| ) |  |

Constructor for adc interrupt object.

Definition at line 99 of file adc.c.

References avr_error, and vdev_construct().

void adc_intr_destroy | ( | void * | adc ) |

Destructor for adc interrupt object.

Definition at line 138 of file adc.c.

References vdev_destroy().

VDevice* adc_create | ( | int | addr,
|  | char * | name,
|  | int | rel_addr,
|  | void * | data
| ) |  |

Allocate a new ADC structure.

Definition at line 292 of file adc.c.

References avr_error.

void adc_construct | ( | ADC_T * | adc,
|  | int | addr,
|  | char * | name,
|  | uint8_t | uier,
|  | int | rel_addr
| ) |  |

Constructor for ADC object.

Definition at line 318 of file adc.c.

References avr_error, and vdev_construct().

void adc_destroy | ( | void * | adc ) |

Destructor for ADC object.

Definition at line 357 of file adc.c.

References vdev_destroy().

Automatically generated by Doxygen 1.7.2 on Wed Feb 22 2012.